Index: trunk/src/lib/network/network_manager.cc
===================================================================
--- trunk/src/lib/network/network_manager.cc	(revision 9682)
+++ trunk/src/lib/network/network_manager.cc	(revision 9869)
@@ -20,5 +20,4 @@
 #define DEBUG_MODULE_NETWORK
 
-#include "class_list.h"
 #include "debug.h"
 #include "shell_command.h"
@@ -28,5 +27,5 @@
 #include "shared_network_data.h"
 #include "network_stream.h"
-#include "preferences.h"
+#include "parser/preferences/preferences.h"
 #include "network_log.h"
 #include "network_game_manager.h"
@@ -41,5 +40,5 @@
 
 
-
+ObjectListDefinition(NetworkManager);
 NetworkManager* NetworkManager::singletonRef = NULL;
 
@@ -50,5 +49,5 @@
 {
   /* set the class id for the base object */
-  this->setClassID(CL_NETWORK_MANAGER, "NetworkManager");
+  this->registerObject(this, NetworkManager::_objectList);
   PRINTF(0)("START\n");
 
Index: trunk/src/lib/network/network_manager.h
===================================================================
--- trunk/src/lib/network/network_manager.h	(revision 9682)
+++ trunk/src/lib/network/network_manager.h	(revision 9869)
@@ -25,5 +25,5 @@
 class NetworkManager : public BaseObject
 {
-
+  ObjectListDeclaration(NetworkManager);
   public:
 
Index: trunk/src/lib/network/network_protocol.cc
===================================================================
--- trunk/src/lib/network/network_protocol.cc	(revision 9682)
+++ trunk/src/lib/network/network_protocol.cc	(revision 9869)
@@ -35,5 +35,5 @@
 
 
-
+ObjectListDefinition(NetworkProtocol);
 /**
   standard constructor
@@ -42,5 +42,5 @@
 {
   /* set the class id for the base object */
-  this->setClassID(CL_NETWORK_PROTOCOL, "NetworkProtocol");
+  this->registerObject(this, NetworkProtocol::_objectList);
   this->headerLength = INTSIZE+FLOATSIZE;
 }
Index: trunk/src/lib/network/network_protocol.h
===================================================================
--- trunk/src/lib/network/network_protocol.h	(revision 9682)
+++ trunk/src/lib/network/network_protocol.h	(revision 9869)
@@ -25,4 +25,5 @@
 class NetworkProtocol : virtual public BaseObject
 {
+  ObjectListDeclaration(NetworkProtocol);
   public:
     NetworkProtocol();
Index: trunk/src/lib/network/network_socket.cc
===================================================================
--- trunk/src/lib/network/network_socket.cc	(revision 9682)
+++ trunk/src/lib/network/network_socket.cc	(revision 9869)
@@ -24,7 +24,5 @@
 #include "network_socket.h"
 
-/* header for debug output */
-#include "debug.h"
-
+ObjectListDefinition(NetworkSocket);
 /**
  * Default constructor
Index: trunk/src/lib/network/network_socket.h
===================================================================
--- trunk/src/lib/network/network_socket.h	(revision 9682)
+++ trunk/src/lib/network/network_socket.h	(revision 9869)
@@ -17,4 +17,5 @@
 class NetworkSocket : public BaseObject
 {
+  ObjectListDeclaration(NetworkSocket);
   public:
     NetworkSocket();
Index: trunk/src/lib/network/network_stream.cc
===================================================================
--- trunk/src/lib/network/network_stream.cc	(revision 9682)
+++ trunk/src/lib/network/network_stream.cc	(revision 9869)
@@ -33,19 +33,15 @@
 #include "shared_network_data.h"
 #include "message_manager.h"
-#include "preferences.h"
+#include "parser/preferences/preferences.h"
 #include "zip.h"
 
-#include "src/lib/util/loading/resource_manager.h"
-
 #include "network_log.h"
 
 #include "player_stats.h"
 
-#include "lib/util/loading/factory.h"
+#include "loading/factory.h"
+#include "loading/resource_manager.h"
 
 #include "debug.h"
-#include "class_list.h"
-#include <algorithm>
-
 
 #include "network_stream.h"
@@ -57,5 +53,5 @@
 #define PACKAGE_SIZE  256
 
-
+ObjectListDefinition(NetworkStream);
 /**
  * empty constructor
@@ -118,5 +114,5 @@
 {
   /* set the class id for the base object */
-  this->setClassID(CL_NETWORK_STREAM, "NetworkStream");
+  this->registerObject(this, NetworkStream::_objectList);
   this->clientSocket = NULL;
   this->clientSoftSocket = NULL;
@@ -970,5 +966,5 @@
 
       // if handshake not finished only sync handshake
-      if ( peer->second.handshake && sync.getLeafClassID() != CL_HANDSHAKE )
+      if ( peer->second.handshake && Handshake::staticClassID() != sync.getLeafClassID())
         continue;
 
@@ -976,10 +972,10 @@
       if ( ( SharedNetworkData::getInstance()->isMasterServer() ||
              SharedNetworkData::getInstance()->isProxyServerActive() &&  peer->second.isClient())
-             && sync.getLeafClassID() == CL_HANDSHAKE && sync.getUniqueID() != peer->second.userId )
+	     && Handshake::staticClassID() == sync.getLeafClassID() && sync.getUniqueID() != peer->second.userId )
         continue;
 
       /* list of synchronizeables that will never be synchronized over the network: */
       // do not sync null parent
-      if ( sync.getLeafClassID() == CL_NULL_PARENT )
+      if ( NullParent::staticClassID() == sync.getLeafClassID())
         continue;
 
@@ -1190,5 +1186,5 @@
           /* These are some small exeptions in creation: Not all objects can/should be created via Factory */
           /* Exception 1: NullParent */
-          if( leafClassId == CL_NULL_PARENT || leafClassId == CL_SYNCHRONIZEABLE || leafClassId == CL_NETWORK_GAME_MANAGER )
+	  if( NullParent::staticClassID() == leafClassId || Synchronizeable::staticClassID() == leafClassId || NetworkGameManager::staticClassID() == leafClassId)
           {
             PRINTF(1)("Don't create Object with ID %x, ignored!\n", (int)leafClassId);
@@ -1197,5 +1193,5 @@
           }
           else
-            b = Factory::fabricate( (ClassID)leafClassId );
+	    ; /// FIXME CLASS_ID :: b = Factory::fabricate( leafClassId );
 
           if ( !b )
@@ -1206,5 +1202,5 @@
           }
 
-          if ( b->isA(CL_SYNCHRONIZEABLE) )
+	  if ( b->isA(Synchronizeable::staticClassID()) )
           {
             sync = dynamic_cast<Synchronizeable*>(b);
@@ -1303,5 +1299,5 @@
     length = remainingBytesToWriteToDict;
 
-  std::string fileName = ResourceManager::getInstance()->getDataDir();
+  std::string fileName = Resources::ResourceManager::getInstance()->mainGlobalPath().name();
   fileName += "/dicts/newdict";
 
Index: trunk/src/lib/network/network_stream.h
===================================================================
--- trunk/src/lib/network/network_stream.h	(revision 9682)
+++ trunk/src/lib/network/network_stream.h	(revision 9869)
@@ -33,5 +33,5 @@
 class NetworkStream : public DataStream
 {
-
+  ObjectListDeclaration(NetworkStream);
   public:
     NetworkStream();
Index: trunk/src/lib/network/player_stats.cc
===================================================================
--- trunk/src/lib/network/player_stats.cc	(revision 9682)
+++ trunk/src/lib/network/player_stats.cc	(revision 9869)
@@ -16,8 +16,8 @@
 #include "player_stats.h"
 
-#include "class_list.h"
 #include "src/lib/util/loading/factory.h"
 
 #include "player.h"
+#include "playable.h"
 #include "state.h"
 #include "shared_network_data.h"
@@ -25,12 +25,13 @@
 #include "converter.h"
 
-#include "preferences.h"
+#include "parser/preferences/preferences.h"
 
 #include "debug.h"
 #include "shell_command.h"
 
-
-CREATE_FACTORY(PlayerStats, CL_PLAYER_STATS);
-
+#include "class_id_DEPRECATED.h"
+
+ObjectListDefinitionID(PlayerStats, CL_PLAYER_STATS);
+CREATE_FACTORY(PlayerStats);
 
 /**
@@ -54,5 +55,5 @@
 void PlayerStats::init( )
 {
-  this->setClassID( CL_PLAYER_STATS, "PlayerStats" );
+  this->registerObject(this, PlayerStats::_objectList);
 
   this->assignedUserId = 0;
@@ -122,21 +123,11 @@
 PlayerStats * PlayerStats::getStats( int userId )
 {
-  const std::list<BaseObject*> * list = ClassList::getList( CL_PLAYER_STATS );
-
-  if ( !list )
-  {
-    return NULL;
-  }
-
-  for ( std::list<BaseObject*>::const_iterator it = list->
-        begin();
-        it != list->end();
-        it++ )
-  {
-
-
-    if ( dynamic_cast<PlayerStats*>(*it)->getAssignedUserId() == userId )
+  for (ObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
+       it != PlayerStats::objectList().end();
+       ++it)
+  {
+    if ( (*it)->getAssignedUserId() == userId )
     {
-      return dynamic_cast<PlayerStats*>(*it);
+      return (*it);
     }
   }
@@ -150,22 +141,12 @@
 void PlayerStats::setPlayableUniqueId( int uniqueId )
 {
-  const std::list<BaseObject*> * list = ClassList::getList( CL_PLAYABLE );
-
-  if ( !list )
-  {
-    this->playableUniqueId = uniqueId;
-    return;
-  }
-
   this->playable = NULL;
-  for ( std::list<BaseObject*>::const_iterator it = list->
-        begin();
-        it != list->end();
-        it++ )
-  {
-    if ( dynamic_cast<Playable*>(*it)->
-         getUniqueID() == uniqueId )
+  for (ObjectList<Playable>::const_iterator it = Playable::objectList().begin();
+       it != Playable::objectList().end();
+       ++it)
+  {
+    if ( (*it)->getUniqueID() == uniqueId )
     {
-      this->playable = dynamic_cast<Playable*>(*it);
+      this->playable = (*it);
       //TODO when OM_PLAYERS is ticked add line:
       //this->playable->toList( OM_PLAYERS );
@@ -174,6 +155,5 @@
   }
 
-  if ( this->playable && this->assignedUserId == SharedNetworkData::getInstance()
-       ->getHostID() )
+  if ( this->playable && this->assignedUserId == SharedNetworkData::getInstance()->getHostID() )
   {
     State::getPlayer()->setPlayable( this->playable );
@@ -272,8 +252,7 @@
 void PlayerStats::deleteAllPlayerStats( )
 {
-  const std::list<BaseObject*> * list;
-
-  while ( (list  = ClassList::getList( CL_PLAYER_STATS )) != NULL && list->begin() != list->end() )
-    delete *list->begin();
+
+  while(!PlayerStats::objectList().empty())
+    delete PlayerStats::objectList().front();
 }
 
@@ -287,17 +266,9 @@
   ScoreList result;
 
-  const std::list<BaseObject*> * list = ClassList::getList( CL_PLAYER_STATS );
-
-  if ( !list )
-  {
-    return result;
-  }
-
-  for ( std::list<BaseObject*>::const_iterator it = list->
-        begin();
-        it != list->end();
-        it++ )
-  {
-    PlayerStats & stats = *dynamic_cast<PlayerStats*>(*it);
+  for (ObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
+       it != PlayerStats::objectList().end();
+       ++it)
+  {
+    PlayerStats& stats = *(*it);
 
     TeamScoreList::iterator it = result[stats.getTeamId()].begin();
Index: trunk/src/lib/network/player_stats.h
===================================================================
--- trunk/src/lib/network/player_stats.h	(revision 9682)
+++ trunk/src/lib/network/player_stats.h	(revision 9869)
@@ -36,5 +36,5 @@
 class PlayerStats : public Synchronizeable
 {
-
+  ObjectListDeclaration(PlayerStats);
   public:
     PlayerStats( const TiXmlElement* root = NULL );
@@ -58,5 +58,5 @@
 
     inline int getPlayableClassId(){ return playableClassId; }
-    void setPlayableClassId( int classId ){ this->playableClassId = classId; };
+    void setPlayableClassId( const ClassID& classId ){ this->playableClassId = classId.id(); };
 
     inline int getPlayableUniqueId(){ return playableUniqueId; }
Index: trunk/src/lib/network/proxy/network_settings.cc
===================================================================
--- trunk/src/lib/network/proxy/network_settings.cc	(revision 9682)
+++ trunk/src/lib/network/proxy/network_settings.cc	(revision 9869)
@@ -21,10 +21,10 @@
 #include "shared_network_data.h"
 
+#include "loading/load_param.h"
 #include "loading/resource_manager.h"
-#include "loading/load_param.h"
-
 #include "debug.h"
 
 
+ObjectListDefinition(NetworkSettings);
 
 NetworkSettings* NetworkSettings::singletonRef = NULL;
@@ -36,5 +36,5 @@
 {
   /* set the class id for the base object */
-  this->setClassID(CL_NETWORK_SETTINGS, "NetworkSettings");
+  this->registerObject(this, NetworkSettings::_objectList);
 
   // suggest a good standard max players value
@@ -64,5 +64,5 @@
 void NetworkSettings::loadData()
 {
-  std::string fileName = ResourceManager::getInstance()->getDataDir();
+  std::string fileName = Resources::ResourceManager::getInstance()->mainGlobalPath().name();
   fileName += "configs/network_settings.conf";
 
Index: trunk/src/lib/network/proxy/network_settings.h
===================================================================
--- trunk/src/lib/network/proxy/network_settings.h	(revision 9682)
+++ trunk/src/lib/network/proxy/network_settings.h	(revision 9869)
@@ -24,5 +24,5 @@
 class NetworkSettings : public BaseObject
 {
-
+  ObjectListDeclaration(NetworkSettings);
   public:
     inline static NetworkSettings* getInstance() { if (!NetworkSettings::singletonRef) NetworkSettings::singletonRef = new NetworkSettings();
Index: trunk/src/lib/network/proxy/proxy_control.cc
===================================================================
--- trunk/src/lib/network/proxy/proxy_control.cc	(revision 9682)
+++ trunk/src/lib/network/proxy/proxy_control.cc	(revision 9869)
@@ -15,5 +15,4 @@
 #include "proxy_control.h"
 
-#include "class_list.h"
 #include "shell_command.h"
 
@@ -28,5 +27,5 @@
 #include "converter.h"
 
-#include "preferences.h"
+#include "parser/preferences/preferences.h"
 
 #include "debug.h"
@@ -41,4 +40,5 @@
 
 SHELL_COMMAND(forceReconnect, ProxyControl, forceReconnectionShell);
+ObjectListDefinition(ProxyControl);
 
 /**
@@ -47,5 +47,5 @@
 ProxyControl::ProxyControl()
 {
-  this->setClassID( CL_PROXY_CONTROL, "ProxyControl" );
+  this->registerObject(this, ProxyControl::_objectList);
 
   this->setSynchronized(false);
Index: trunk/src/lib/network/proxy/proxy_control.h
===================================================================
--- trunk/src/lib/network/proxy/proxy_control.h	(revision 9682)
+++ trunk/src/lib/network/proxy/proxy_control.h	(revision 9869)
@@ -30,5 +30,5 @@
 class ProxyControl : public Synchronizeable
 {
-
+  ObjectListDeclaration(ProxyControl);
   public:
     inline static ProxyControl* getInstance() { if (!ProxyControl::singletonRef) ProxyControl::singletonRef = new ProxyControl();
Index: trunk/src/lib/network/server_socket.cc
===================================================================
--- trunk/src/lib/network/server_socket.cc	(revision 9682)
+++ trunk/src/lib/network/server_socket.cc	(revision 9869)
@@ -23,8 +23,5 @@
 #include "server_socket.h"
 
-/* header for debug output */
-#include "debug.h"
-
-
+ObjectListDefinition(ServerSocket);
 /**
  * constructor
Index: trunk/src/lib/network/server_socket.h
===================================================================
--- trunk/src/lib/network/server_socket.h	(revision 9682)
+++ trunk/src/lib/network/server_socket.h	(revision 9869)
@@ -19,4 +19,5 @@
 class ServerSocket : public BaseObject
 {
+  ObjectListDeclaration(ServerSocket);
   public:
     ServerSocket( int port);
Index: trunk/src/lib/network/shared_network_data.cc
===================================================================
--- trunk/src/lib/network/shared_network_data.cc	(revision 9682)
+++ trunk/src/lib/network/shared_network_data.cc	(revision 9869)
@@ -25,5 +25,5 @@
 
 
-
+ObjectListDefinition(SharedNetworkData);
 SharedNetworkData* SharedNetworkData::singletonRef = NULL;
 
@@ -34,5 +34,5 @@
 {
   /* set the class id for the base object */
-  this->setClassID(CL_SHARED_NETWORK_DATA, "SharedNetworkData");
+  this->registerObject(this, SharedNetworkData::_objectList);
 
   this->nodeType = NET_MASTER_SERVER;
Index: trunk/src/lib/network/shared_network_data.h
===================================================================
--- trunk/src/lib/network/shared_network_data.h	(revision 9682)
+++ trunk/src/lib/network/shared_network_data.h	(revision 9869)
@@ -22,5 +22,5 @@
 class SharedNetworkData : public BaseObject
 {
-
+  ObjectListDeclaration(SharedNetworkData);
   public:
     inline static SharedNetworkData* getInstance() { if (!SharedNetworkData::singletonRef) SharedNetworkData::singletonRef = new SharedNetworkData();
Index: trunk/src/lib/network/synchronizeable.cc
===================================================================
--- trunk/src/lib/network/synchronizeable.cc	(revision 9682)
+++ trunk/src/lib/network/synchronizeable.cc	(revision 9869)
@@ -32,4 +32,5 @@
 
 
+ObjectListDefinition(Synchronizeable);
 
 /**
@@ -38,5 +39,5 @@
 Synchronizeable::Synchronizeable()
 {
-  this->setClassID(CL_SYNCHRONIZEABLE, "Synchronizeable");
+  this->registerObject(this, Synchronizeable::_objectList);
   this->owner = 0;
 //   this->setIsServer(SharedNetworkData::getInstance()->getHostID() == 0);
@@ -74,5 +75,5 @@
     // remove the message manager only by the server
     if ( (SharedNetworkData::getInstance()->isMasterServer() )
-           && this->beSynchronized() && this->getUniqueID() > 0 && !this->isA( CL_MESSAGE_MANAGER ) )
+	  && this->beSynchronized() && this->getUniqueID() > 0 && !this->isA( MessageManager::staticClassID() ) )
       NetworkGameManager::getInstance()->removeSynchronizeable( this->getUniqueID() );
   }
Index: trunk/src/lib/network/synchronizeable.h
===================================================================
--- trunk/src/lib/network/synchronizeable.h	(revision 9682)
+++ trunk/src/lib/network/synchronizeable.h	(revision 9869)
@@ -41,4 +41,5 @@
 class Synchronizeable : virtual public BaseObject
 {
+  ObjectListDeclaration(Synchronizeable);
 
   public:
Index: trunk/src/lib/network/tcp_server_socket.cc
===================================================================
--- trunk/src/lib/network/tcp_server_socket.cc	(revision 9682)
+++ trunk/src/lib/network/tcp_server_socket.cc	(revision 9869)
@@ -26,4 +26,5 @@
 #include "debug.h"
 
+ObjectListDefinition(TcpServerSocket);
 TcpServerSocket::TcpServerSocket( int port ) : ServerSocket( port )
 {
@@ -48,5 +49,5 @@
 {
   /* set the class id for the base object */
-  this->setClassID(CL_SERVER_SOCKET, "TcpServerSocket");
+  this->registerObject(this, TcpServerSocket::_objectList);
 
   terminateThread = false;
Index: trunk/src/lib/network/tcp_server_socket.h
===================================================================
--- trunk/src/lib/network/tcp_server_socket.h	(revision 9682)
+++ trunk/src/lib/network/tcp_server_socket.h	(revision 9869)
@@ -19,4 +19,5 @@
 class TcpServerSocket : public ServerSocket
 {
+  ObjectListDeclaration(TcpServerSocket);
   public:
     TcpServerSocket( int port );
Index: trunk/src/lib/network/tcp_socket.cc
===================================================================
--- trunk/src/lib/network/tcp_socket.cc	(revision 9682)
+++ trunk/src/lib/network/tcp_socket.cc	(revision 9869)
@@ -30,4 +30,5 @@
 #include "debug.h"
 
+ObjectListDefinition(TcpSocket);
 /**
  * Default constructor
@@ -60,5 +61,5 @@
 {
   /* set the class id for the base object */
-  this->setClassID(CL_NETWORK_SOCKET, "TcpSocket");
+  this->registerObject(this, TcpSocket::_objectList);
 
   tcpSocket = NULL;
@@ -122,7 +123,7 @@
 {
   IPaddress ip;
-  
-  bOk = true; 
-  
+
+  bOk = true;
+
   if ( SDLNet_ResolveHost( &ip, host.c_str(), port ) != 0 )
   {
@@ -131,5 +132,5 @@
     return;
   }
-  
+
   //check if not already connected or listening
   if (tcpSocket)
@@ -345,7 +346,7 @@
 }
 #endif
-  
+
   PRINTF(0)("QUIT READ THREAD\n");
-  
+
   return 0;
 }
@@ -425,5 +426,5 @@
 
   return 0;
-  
+
 }
 
Index: trunk/src/lib/network/tcp_socket.h
===================================================================
--- trunk/src/lib/network/tcp_socket.h	(revision 9682)
+++ trunk/src/lib/network/tcp_socket.h	(revision 9869)
@@ -40,4 +40,5 @@
 class TcpSocket : public NetworkSocket
 {
+  ObjectListDeclaration(TcpSocket);
   public:
     TcpSocket();
Index: trunk/src/lib/network/udp_server_socket.cc
===================================================================
--- trunk/src/lib/network/udp_server_socket.cc	(revision 9682)
+++ trunk/src/lib/network/udp_server_socket.cc	(revision 9869)
@@ -18,5 +18,5 @@
 
 
-
+ObjectListDefinition(UdpServerSocket);
 /**
  * constructor
Index: trunk/src/lib/network/udp_server_socket.h
===================================================================
--- trunk/src/lib/network/udp_server_socket.h	(revision 9682)
+++ trunk/src/lib/network/udp_server_socket.h	(revision 9869)
@@ -50,4 +50,5 @@
 class UdpServerSocket : public ServerSocket
 {
+  ObjectListDeclaration(UdpServerSocket);
   public:
     UdpServerSocket( int port);
Index: trunk/src/lib/network/udp_socket.cc
===================================================================
--- trunk/src/lib/network/udp_socket.cc	(revision 9682)
+++ trunk/src/lib/network/udp_socket.cc	(revision 9869)
@@ -18,4 +18,5 @@
 #include "debug.h"
 
+ObjectListDefinition(UdpSocket);
 
 void UdpSocket::init( )
Index: trunk/src/lib/network/udp_socket.h
===================================================================
--- trunk/src/lib/network/udp_socket.h	(revision 9682)
+++ trunk/src/lib/network/udp_socket.h	(revision 9869)
@@ -24,4 +24,5 @@
 class UdpSocket : public NetworkSocket
 {
+  ObjectListDeclaration(UdpSocket);
   public:
     UdpSocket();
Index: trunk/src/lib/network/zip.cc
===================================================================
--- trunk/src/lib/network/zip.cc	(revision 9682)
+++ trunk/src/lib/network/zip.cc	(revision 9869)
@@ -15,6 +15,5 @@
 
 #include "zip.h"
-
-#include "src/lib/util/loading/resource_manager.h"
+#include "loading/resource_manager.h"
 #include "debug.h"
 
@@ -51,5 +50,5 @@
 int Zip::loadDictionary( std::string name )
 {
-  std::string fileName = ResourceManager::getInstance()->getDataDir();
+  std::string fileName = Resources::ResourceManager::getInstance()->mainGlobalPath().name();
   //PRINTF(0)("datadir: %s\n", fileName.c_str());
   fileName = fileName + "/dicts/" + name;
Index: trunk/src/lib/parser/Makefile.am
===================================================================
--- trunk/src/lib/parser/Makefile.am	(revision 9682)
+++ trunk/src/lib/parser/Makefile.am	(revision 9869)
@@ -2,6 +2,6 @@
           tinyxml \
 	  ini_parser \
-	  preferences \
-	  cmdline_parser
+	  cmdline_parser \
+	  preferences
 
 
Index: trunk/src/lib/parser/cmdline_parser/Makefile.am
===================================================================
--- trunk/src/lib/parser/cmdline_parser/Makefile.am	(revision 9682)
+++ trunk/src/lib/parser/cmdline_parser/Makefile.am	(revision 9869)
@@ -1,2 +1,4 @@
+
+INCLUDES = -I../../..
 
 noinst_LIBRARIES = libCmdLineParser.a
Index: trunk/src/lib/parser/cmdline_parser/cmdline_parser.cc
===================================================================
--- trunk/src/lib/parser/cmdline_parser/cmdline_parser.cc	(revision 9682)
+++ trunk/src/lib/parser/cmdline_parser/cmdline_parser.cc	(revision 9869)
@@ -16,4 +16,5 @@
 #include "cmdline_parser.h"
 
+#include <cassert>
 #include "src/lib/util/substring.h"
 
Index: trunk/src/lib/parser/cmdline_parser/cmdline_parser.h
===================================================================
--- trunk/src/lib/parser/cmdline_parser/cmdline_parser.h	(revision 9682)
+++ trunk/src/lib/parser/cmdline_parser/cmdline_parser.h	(revision 9869)
@@ -11,6 +11,6 @@
 #include <vector>
 
-#include "src/defs/debug.h"
-#include "src/lib/util/multi_type.h"
+#include "lib/util/debug.h"
+#include "lib/util/multi_type.h"
 
 
Index: trunk/src/lib/parser/ini_parser/Makefile.am
===================================================================
--- trunk/src/lib/parser/ini_parser/Makefile.am	(revision 9682)
+++ trunk/src/lib/parser/ini_parser/Makefile.am	(revision 9869)
@@ -1,3 +1,3 @@
-INCLUDES=-I../../util
+INCLUDES = -I../../..
 
 
Index: trunk/src/lib/parser/ini_parser/ini_parser.cc
===================================================================
--- trunk/src/lib/parser/ini_parser/ini_parser.cc	(revision 9682)
+++ trunk/src/lib/parser/ini_parser/ini_parser.cc	(revision 9869)
@@ -29,5 +29,5 @@
 
 #ifdef DEBUG_LEVEL
- #include "../../../defs/debug.h"
+ #include "../../../lib/util/debug.h"
 #else
  #define PRINTF(x) printf
@@ -165,5 +165,5 @@
       else if( (ptr = strchr( lineBegin, '=')) != NULL)
       {
-        if (currentSection == NULL)
+        if (currentSection == this->sections.end())
         {
           PRINTF(2)("Not in a Section yet for %s\n", lineBegin);
@@ -470,5 +470,5 @@
   {
     std::list<IniEntry>::const_iterator entry = this->getEntryIT(entryName, sectionName);
-    if (entry != NULL &&  (*entry).name == entryName)
+    if (/** FIXME entry != NULL && */  (*entry).name == entryName)
       return (*entry).value;
     PRINTF(2)("Entry '%s' in section '%s' not found.\n", entryName.c_str(), sectionName.c_str());
@@ -627,8 +627,5 @@
       if ((*entry).name == entryName)
         break;
-  if (entry == (*section).entries.end())
-    return NULL;
-  else
-    return entry;
+  return entry;
 }
 
@@ -650,8 +647,5 @@
       if ((*entry).name == entryName)
         break;
-  if (entry == (*section).entries.end())
-    return NULL;
-  else
-    return entry;
+  return entry;
 }
 
Index: trunk/src/lib/parser/ini_parser/ini_parser.h
===================================================================
--- trunk/src/lib/parser/ini_parser/ini_parser.h	(revision 9682)
+++ trunk/src/lib/parser/ini_parser/ini_parser.h	(revision 9869)
@@ -11,5 +11,5 @@
 #define PARSELINELENGHT     512       //!< how many chars to read at once
 
-#include "filesys/file.h"
+#include "lib/util/filesys/file.h"
 #include <list>
 
@@ -66,5 +66,5 @@
     bool addVar(const std::string& entryName, const std::string& value, const std::string& sectionName = "" );
     const std::string& getVar(const std::string& entryName, const std::string& sectionName, const std::string& defaultValue = "") const;
-    bool IniParser::editVar(const std::string& entryName, const std::string& value, const std::string& sectionName = "", bool createMissing = true);
+    bool editVar(const std::string& entryName, const std::string& value, const std::string& sectionName = "", bool createMissing = true);
     void setEntryComment(const std::string& comment, const std::string& entryName, const std::string& sectionName);
     const std::string& getEntryComment(const std::string& entryName, const std::string& sectionName) const;
Index: trunk/src/lib/parser/preferences/Makefile.am
===================================================================
--- trunk/src/lib/parser/preferences/Makefile.am	(revision 9682)
+++ trunk/src/lib/parser/preferences/Makefile.am	(revision 9869)
@@ -6,8 +6,10 @@
 libPrefsParser_a_SOURCES = \
 		cmd_line_prefs_reader.cc \
-		ini_file_prefs_reader.cc
+		ini_file_prefs_reader.cc \
+		preferences.cc
 
 
 noinst_HEADERS = \
 		cmd_line_prefs_reader.h \
-		ini_file_prefs_reader.h
+		ini_file_prefs_reader.h \
+		preferences.h
Index: trunk/src/lib/parser/preferences/cmd_line_prefs_reader.h
===================================================================
--- trunk/src/lib/parser/preferences/cmd_line_prefs_reader.h	(revision 9682)
+++ trunk/src/lib/parser/preferences/cmd_line_prefs_reader.h	(revision 9869)
@@ -7,5 +7,4 @@
 #define _CMD_LINE_PREFS_READER_H
 
-#include "stdincl.h"
 #include "debug.h"
 
@@ -45,10 +44,10 @@
 };
 
-#define REGISTER_ARG_FLAG(shortOption,longOption,section,key,description,value) bool _ARGVAR_##shortOption##_##longOption = CmdLinePrefsReader::registerArgument(#shortOption[0],#longOption,section,key,description,"",value) 
+#define REGISTER_ARG_FLAG(shortOption,longOption,section,key,description,value) bool _ARGVAR_##shortOption##_##longOption = CmdLinePrefsReader::registerArgument(#shortOption[0],#longOption,section,key,description,"",value)
 
-#define REGISTER_ARG_ARG(shortOption,longOption,section,key,description,argname) bool _ARGVAR_##shortOption##_##longOption = CmdLinePrefsReader::registerArgument(#shortOption[0],#longOption,section,key,description,argname) 
+#define REGISTER_ARG_ARG(shortOption,longOption,section,key,description,argname) bool _ARGVAR_##shortOption##_##longOption = CmdLinePrefsReader::registerArgument(#shortOption[0],#longOption,section,key,description,argname)
 
 //! A class for reading commandline arguments into Preferences
-class CmdLinePrefsReader 
+class CmdLinePrefsReader
 {
 
@@ -58,12 +57,12 @@
 
     bool parse(int argc, char** argv);
-    
+
     static bool registerArgument( const char shortOption, const std::string & longOption, const std::string & section, const std::string & key, const std::string & help,  const std::string & argName = "", const std::string & value = "%arg%" );
-    
+
     static bool asdf;
-    
+
   private:
     static bool callBack( ArgTableEntry entry, void* data, const std::string & arg, const std::vector<MultiType> & argArgs );
-    
+
     static RegistredArgs regArgs;
 
Index: trunk/src/lib/parser/preferences/ini_file_prefs_reader.h
===================================================================
--- trunk/src/lib/parser/preferences/ini_file_prefs_reader.h	(revision 9682)
+++ trunk/src/lib/parser/preferences/ini_file_prefs_reader.h	(revision 9869)
@@ -7,6 +7,6 @@
 #define _INI_FILE_PREFS_READER_H
 
-#include "src/lib/parser/ini_parser/ini_parser.h"
-#include "src/lib/util/preferences.h"
+#include "lib/parser/ini_parser/ini_parser.h"
+#include "lib/parser/preferences/preferences.h"
 
 
